 $(document).ready(function() {
    var queryString = window.location.search;
    var calendar = $('#calendar').fullCalendar({
        selectable: true,
        editable: false,

        header: {
            left: 'prev,next,today',
            center: 'title',
            right: 'month,agendaWeek,agendaDay'
        },

        eventSources: [
            "appointment_feed.php" + queryString,
            "holiday_feed.php" + queryString
        ],

        select: function(start, end) {
            $("#dialog-form").dialog({ modal: true, width:450});
            var date = $.fullCalendar.formatDate(start, 'YYYY-MM-DD');
            $("#fecha").val(date);
        },

        selectAllow: function(selectInfo){
            var daysOff = null;
            var holidays = null;
            $.ajax({
                url: 'holiday_feed.php' + queryString,
                async: false,
                dataType: 'json',
                success: function (json) {
                    holidays = json;
                }
            });
            $.ajax({
                url: 'calendar_settings_feed.php' + queryString,
                async: false,
                dataType: 'json',
                success: function (json) {
                    daysOff = json;
                }
            });
            var date = selectInfo.start._d;
            var formatted_date = date.toISOString().substr(0, 10);
            var foundHoliday = holidays.find(el => el.start === formatted_date);
            var foundDayOff = daysOff.find(el => el === date.getDay());
            if(foundDayOff == null && foundHoliday == null){
                return true;
            }
            return false;
        },

        eventClick: function(event) {
            var start = $.fullCalendar.formatDate(event.start, 'HH:mm');
            var end = $.fullCalendar.formatDate(event.end, 'HH:mm');
            $("#event_id").val(event.id);
            $("#event-patient").html("<b>DNI/NIE: </b>" + event.patient);
            $("#event-description").html("<b>Observaciones: </b>" + event.description);
            $("#event-start").html("<b>Comienzo: </b>" + start);
            $("#event-end").html("<b>Fin: </b>" + end);
            $("#event-info").dialog({title: event.title, width:450});
        }

    });
});
