<?php session_start(); ?>
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Gestión de pacientes</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="static/style.css" type="text/css" media="screen" />
    <script src="static/jquery-3.5.1.min.js"></script>
    <script src="ajax.js"></script>
    <script src="validate_patient.js"></script>
    <script src="change_input_type.js"></script>
</head>
<body>
    <?php include 'navbar.php'; ?>
    <?php
    include 'database.php';

    $pdo = connectDatabase();
    $data = fetchPatientData($pdo, $_GET["edit"]);
    $countries = fetchCountries($pdo);
    $regions = fetchRegions($pdo);
    ?>
    <form method="post" action="patient_management.php" onsubmit="return validatePatient();">
        <div class="input-group">
            <label>Nombre</label>
            <input type="text" name="nombre" value="<?php echo $data[1]; ?>">
        </div>
        <div class="input-group">
            <label>Apellido</label>
            <input type="text" name="apellido" value="<?php echo $data[2]; ?>">
        </div>
        <div class="input-group">
            <label>fecha_de_nacimiento</label>
            <input type="password" name="fecha_de_nacimiento" value="<?php echo $data[3]; ?>">
        </div>
        <div class="input-group">
            <label>documento_identificativo</label>
            <input type="text" name="documento_identificativo" value="<?php echo $data[4]; ?>">
        </div>
        <div class="select-input">
            <label>tipo_documento</label>
            <select id="tipo_documento" name="tipo_documento">
                <option value="DNI">DNI</option>
                <option value="NIE">NIE</option>
            </select>
        </div>
        <div class="input-group">
            <label>direccion</label>
            <input type="text" name="direccion" value="<?php echo $data[6]; ?>">
        </div>
        <div class="input-group">
            <label>pais</label>
            <select id="pais" name="pais" onchange="changeInputType();">
                <option>Selecciona el país</option>
                <?php foreach ($countries as $row) : ?>
                    <option value="<?php echo $row[0]; ?>"><?php echo $row[2]; ?></option>
                <?php endforeach ?>
            </select>
        </div>
        <div class="input-group">
            <label>provincia</label>
            <select id="provincia" name="provincia">
                <option value="empty">Selecciona la provincia</option>
                <?php foreach ($regions as $row) : ?>
                    <option value="<?php echo $row[0]; ?>"><?php echo $row[1]; ?></option>
                <?php endforeach ?>
            </select>
            <input type="hidden" id="provincia2" name="provincia2" value="">
        </div>
        <div class="input-group">
            <label>localidad</label>
            <select id="localidad" name="localidad">
                <option value="empty">Selecciona la localidad</option>
            </select>
            <input type="hidden" id="localidad2" name="localidad2" value="">
        </div>
        <div class="input-group">
            <button class="btn" type="submit" name="edit" >Editar</button>
        </div>
        <input type="hidden" name="id" value="<?php echo $_GET["edit"]; ?>">
    </form>
    <?php closeDatabase($pdo); ?>
</body>
